Bug 89891 - Web Inspector: StyleSource should set content using CSSStyleModelResourceBinding directly.
Summary: Web Inspector: StyleSource should set content using CSSStyleModelResourceBind...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Vsevolod Vlasov
URL:
Keywords:
Depends on:
Blocks: 89868
  Show dependency treegraph
 
Reported: 2012-06-25 10:23 PDT by Vsevolod Vlasov
Modified: 2012-07-02 05:13 PDT (History)
10 users (show)

See Also:


Attachments
Patch (8.26 KB, patch)
2012-06-26 02:44 PDT, Vsevolod Vlasov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Vlasov 2012-06-25 10:23:24 PDT
StyleSource should set content using CSSStyleModelResourceBinding directly.
It should not use resource.setContent method.
Also revision should not be added before setStyleSheetText returns from backend to keep UISourceCode in consistent state.
Comment 1 Vsevolod Vlasov 2012-06-26 02:44:59 PDT
Created attachment 149497 [details]
Patch
Comment 2 Pavel Feldman 2012-06-29 22:37:29 PDT
Comment on attachment 149497 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=149497&action=review

> Source/WebCore/ChangeLog:10
> +        Resource.revertAndClearHistory is now clearing history asynchronously

I think we should rather not create revision for revert at all.
Comment 3 Vsevolod Vlasov 2012-07-02 00:43:29 PDT
Comment on attachment 149497 [details]
Patch

I would not add a boolean flag to several methods only because of revert functionality only since we are planning to move to synchronous revision adding anyway,
Comment 4 Vsevolod Vlasov 2012-07-02 05:13:35 PDT
Committed r121672: <http://trac.webkit.org/changeset/121672>